<template>
  <div class="indexanalysis">
    <div class="analysis-top">
      <div class="title-top">查询条件</div>
      <div class="value">
        <el-form ref="form" :model="form" label-width="120px">
          <el-form-item label="选择指标名称">
            <el-select v-model="value" filterable placeholder="请选择">
              <el-option
                v-for="item in options"
                :key="item.value"
                :label="item.label"
                :value="item.value"
              >
              </el-option>
            </el-select>
          </el-form-item>
        </el-form>
      </div>
    </div>
    <div class="formindex">
      <el-table :data="tableData" border style="width: 100%">
        <el-table-column prop="date" label="指标名称"> </el-table-column>
        <el-table-column prop="name" label="单项名称"> </el-table-column>
        <el-table-column prop="address" label="单项出现次数"> </el-table-column>
        <el-table-column prop="times" label="指标出现次数">
        </el-table-column>
        <el-table-column prop="proportion" label="占比"> </el-table-column>
      </el-table>
    </div>
  </div>
</template>

<script>
export default {
  name: "indexanalysis",
  data() {
    return {
      options: [
        {
          value: "选项1",
          label: "发热有无",
        },
        {
          value: "选项2",
          label: "咳嗽有无",
        },
        {
          value: "选项3",
          label: "服药后不良反应",
        },
      ],
      tableData: [
        {
          date: "发热有无",
          name: "有",
          address: 1,
          times: 2,
          proportion: "50%",
        },
        {
          date: "发热有无",
          name: "无",
          address: 1,
          times: 2,
          proportion: "50%",
        },
        {
          date: "发热有无",
          name: "其他",
          address: 0,
          times: 2,
          proportion: "0%",
        },
      ],
    };
  },

  created() {},

  methods: {},
};
</script>

<style lang="scss" scoped>
.analysis-top {
  border: 1px solid #dcdfe6;
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12),
    0 0 6px 0 rgba(0, 0, 0, 0.04);
  margin: 15px;
  .title-top {
    background-color: #00bbd3;
    color: #fff;
    padding: 10px 20px;
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 20px;
  }
}
.formindex {
  margin: 0 15px;
  border: 1px solid #dcdfe6;
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12),
    0 0 6px 0 rgba(0, 0, 0, 0.04);
  padding: 20px;
}
</style>
